Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Fri, 26 Jul 2013 16:28:55 -0700

On Sat, Jul 27, 2013 at 01:54:44AM +0300, Eli Billauer wrote:
> On 27/07/13 00:56, Greg KH wrote:
> >No, I need you to do that.  Can you do a kernel build with:
> >	make M=drivers/staging/xillybus C=1
> >and fix up the errors that sparse reports and send a patch for that?
> >
> I'm not sure it's related to me. I get the same errors whether I
> compile my own modules or something in e.g. drivers/tty/ . This is
> what I get after make allmodconfig on the current staging git repo:
> 
> $ make M=drivers/staging/xillybus C=1
> /home/eli/xillybus/submission/staging/arch/x86/Makefile:107:
> CONFIG_X86_X32 enabled but no binutils support
>   CHECK   drivers/staging/xillybus/xillybus_core.c
> /home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13:
> error: Expected ( after asm
> /home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13:
> error: got goto
>   CC [M]  drivers/staging/xillybus/xillybus_core.o
>   CHECK   drivers/staging/xillybus/xillybus_pcie.c
> /home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13:
> error: Expected ( after asm
> /home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13:
> error: got goto
>   CC [M]  drivers/staging/xillybus/xillybus_pcie.o
> 
> I'll spare you the output from modules in drivers/tty. But it's
> exactly the same messages on each of these modules.
> 
> Am I doing something wrong?

Odd, you might need to upgrade the version of sparse you have.  My
output looks like:

$ make M=drivers/staging/xillybus/ C=1
  LD      drivers/staging/xillybus//built-in.o
  CHECK   drivers/staging/xillybus//xillybus_core.c
drivers/staging/xillybus//xillybus_core.c:76:25: warning: symbol 'xillybus_wq' was not declared. Should it be static?
drivers/staging/xillybus//xillybus_core.c:175:57: warning: incorrect type in argument 2 (different address spaces)
drivers/staging/xillybus//xillybus_core.c:175:57:    expected void [noderef] <asn:2>*<noident>
drivers/staging/xillybus//xillybus_core.c:175:57:    got unsigned int [usertype] *
drivers/staging/xillybus//xillybus_core.c:309:39: warning: incorrect type in argument 2 (different address spaces)
drivers/staging/xillybus//xillybus_core.c:309:39:    expected void [noderef] <asn:2>*<noident>
drivers/staging/xillybus//xillybus_core.c:309:39:    got unsigned int [usertype] *
drivers/staging/xillybus//xillybus_core.c:606:55: warning: incorrect type in argument 2 (different address spaces)
drivers/staging/xillybus//xillybus_core.c:606:55:    expected void [noderef] <asn:2>*<noident>
drivers/staging/xillybus//xillybus_core.c:606:55:    got unsigned int [usertype] *

and goes on for a few screens.

$ sparse --version
0.4.4

Try a newer version and see if that fixes things.

thanks,

greg k-h